<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Abuse extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
         error_reporting(0);
		 $this->load->model('abuse_model');	
    }
	
	public function index()
	{
		$this->get_listdata();
	}
	
	public function get_listdata()
	{
		$data['page_title'] = 'Report Abuses';
		$this->load->view('admin/abuse_view',$data);
	}

	public function getdata($id)
	{
		$result = $this->abuse_model->get_data($id); 
		echo json_encode($result);
	}
	
	public function delete($id)
	{
		 $res = $this->abuse_model->delete($id); 
		 if($res)
		 {
			 $data['success_message'] = 'Record delete successfully';
			 $this->session->set_userdata('display_message', $data);
		 }
		 else
		 {
			 $data['error_message'] = 'Something went wrong';
			 $this->session->set_userdata('display_message', $data);
		 }
		redirect('comment');
		 
	}
	 
	
	public function setstatus()
	{
		$id = $this->input->post('id');
		$current_st = $this->input->post('current_st');
		if($current_st == 1) {
			$statusData = array('status' => 0);
		} else {
			$statusData = array('status' => 1);
		}
		$update = $this->abuse_model->update_status($id, $statusData);
		if($update==true)
		{
			echo 1;
		}else{
			echo 0;
		}
	}
	
	public function get_list()
	{
		$list = $this->abuse_model->get_datatables(); 
		$data = array();
		$no = $_POST['start'];
		foreach ($list as $r) {
			$primary_id = $r->abuse_id;
			$no++;
			$row = array();
			// $row[] = '<input type="checkbox" name="chk[]" id="chk_'.$primary_id.'" value="'.$primary_id.'" />';
			$row[] = date('Y-m-d', strtotime($r->date_added));
            $row[]= '<video width="150" height="150" controls>
            <source src="'.base_url().'media/videos/'.$r->video_file.'" type="video/mp4">
            Your browser does not support the video tag.
            </video>';
			$row[] = $r->video_title;
			$row[] = $r->video_description;
			$row[] = $r->first_name.' '.$r->last_name;
			$row[] = $r->reason;
			 
			// if($r->date_updated=='0000-00-00 00:00:00'){
            //     $row[] = '';
            // }else{
            //     $row[] = $r->date_updated;
            // }
			// if($r->status==1)
			// {
			// 	$status = "<label class='label label-success'>Liked</label>";
			// }else{
			// 	$status = "<label class='label label-danger'>Unliked</label>";
			// }
			// $row[] = $status;
			
			$row[] = '
                         <span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="DeleteSet('.$primary_id.');" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#model_delete"> <i class="fa fa-trash-o"></i></a>
                         <span class="tooltiptext">Delete</span>
                        </span>
						';		
			$data[] = $row;
		}
		$output = array(
						"draw" => $_POST['draw'],
						"recordsTotal" => $this->abuse_model->count_all(),
						"recordsFiltered" => $this->abuse_model->count_filtered(),
						"data" => $data
				);
		//output to json format
		echo json_encode($output);
	}
		  
}
?>

