<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Config extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
		 $this->load->model('config_model');
		 $this->load->helper('directory');	
    } 

	public function index()
	{
		$this->get_listdata('');
	}
	
	public function get_listdata($error_message) {
		$data['page_title'] = 'Configuration';
		$data['upload_error'] = '';
		$data['success_message'] = '';
		$data['error_message'] = $error_message;
		$data['records'] =$this->config_model->getdata(); 
		$this->load->view('admin/config_view',$data);
	}
	
	public function getdata($id)
	{
		 $result = $this->config_model->getdata($id); 
		 echo json_encode($result);
	}
	public function update() { 
			
			$edit_id = $this->input->post('edit_id', TRUE);
			echo "<br>ID:$edit_id";
			
			//Redirect if NAN
			if (!is_numeric($edit_id)) $this->get_listdata('');
			
			//Form Validation 
			$this->form_validation->set_rules('profile_start_from', 'Profile Start From', 'numeric');

			if ($this->form_validation->run() == FALSE)
            {
				//echo "<br>Validation Not Success";
				$this->get_listdata('');

			}
			else //If validation success
			{
				echo "<br>Validation Success";
				$status = 1;
				 
				//Get Current Date and Time
				$this->load->helper('functions');
				//echo "<br>".get_current_datetime();
				$date_added = get_current_datetime();
				//echo "<br>". get_current_datetime();
				
				/*Start upload code*/ 
				$fileName = $this->input->post('logo_file', TRUE);
				//echo "<br>file:".$fileName;
				if (!empty($_FILES['uploadfile']['name'])) {	
					$this->load->library('upload');
						
						if(!is_dir('../media/site_logo')){
							echo "here not";
							mkdir('../media/site_logo');
						}
						//else { echo "here yes "; }
						$uploadPath = '../media/site_logo/';
						$config['upload_path'] = $uploadPath;
						$config['allowed_types'] = 'jpg|png|pdf|xls|xlsx|doc|docx';
						$config['max_size'] = '5120';
						$config['encrypt_name'] = TRUE;
						$this->upload->initialize($config);
						//echo " here1";
						if (!$this->upload->do_upload('uploadfile')) {
							//echo "here2:".$this->upload->display_errors();
							$this->get_listdata($this->upload->display_errors());
							return;
							//exit;
						} 
						else {
						echo "here3 upload success";
							//remove old file from folder
							/*$user = $this->config_model->getdata($edit_id);
							$old_image_name = $user->logo_file;
							echo "<br>old file name:".$old_image_name;
							if($uploadPath.$old_image_name) {
								unlink($uploadPath.$old_image_name);
							}*/
							
						}
							$fileData = $this->upload->data();
							$fileName = $fileData['file_name'];
							//echo "file name:".$fileName;
							//echo "<br>Out ID:$edit_id";
							
				}
					/*End upload code */
					$input_data = array( 
						'profile_prefix' => $this->input->post('profile_prefix', TRUE),
						'profile_start_from' => $this->input->post('profile_start_from', TRUE),
						'mobile' => $this->input->post('mobile', TRUE),
						'email' => $this->input->post('email', TRUE),
						'address' => $this->input->post('address', TRUE),
						'facebook' => $this->input->post('facebook', TRUE),
						'twitter' => $this->input->post('twitter', TRUE),
						'googleplus' => $this->input->post('googleplus', TRUE),
						'time_zone' => $this->input->post('time_zone', TRUE),
						'logo_file' => $fileName,
						'status' => $status,
						'date_updated' => $date_added,
						'admin_user_id' => $this->session->userdata['logged_in']['admin_user_id']
						 
					);
					
					$res = $this->config_model->update($input_data,$edit_id);
					$data['success_message'] = 'Record updated successfully';
					$data['error_message'] = '';
	                //$this->get_listdata();
					$this->session->set_userdata('display_message', $data);
					redirect('config');
			}
			
		  } 
		  
}
?>