<?php


function resizeImage($source_path,$new_path,$width, $height){
	   
	$CI = & get_instance();

$config['image_library'] = 'gd2';
$config['source_image'] =  $source_path;
$config['new_image'] =  $new_path;
$config['create_thumb'] = TRUE;
$config['maintain_ratio'] = TRUE;
$config['width']         = $width;
$config['height']       = $height;
$config['thumb_marker']       = '';

$CI->load->library('image_lib', $config);
$CI->image_lib->initialize($config);


$CI->image_lib->resize();
$CI->image_lib->clear();
}

function get_current_datetime()
{
	$CI =& get_instance();
	$CI->load->model('main_model');
	//print_r($CI);
	$records = $CI->main_model->get_config();
	//print_r($records);
	//"Asia/Kolkata"
	$strtz= $records->time_zone;
	$timezone = new DateTimeZone($strtz);  
	$date = new DateTime();  
	$date->setTimezone($timezone );  
	$date_now = $date->format( 'Y-m-d H:i:s' );
	
	return $date_now;
}

function get_current_date()
{
	$CI =& get_instance();
	$CI->load->model('main_model');
	//print_r($CI);
	$records = $CI->main_model->get_config();
	//print_r($records);
	//"Asia/Kolkata"
	$strtz= $records->time_zone;
	$timezone = new DateTimeZone($strtz);  
	$date = new DateTime();  
	$date->setTimezone($timezone );  
	$date_now = $date->format( 'Y-m-d' );
	
	return $date_now;
}

function get_current_month()
{
	$CI =& get_instance();
	$CI->load->model('main_model');
	//print_r($CI);
	$records = $CI->main_model->get_config();
	//print_r($records);
	//"Asia/Kolkata"
	$strtz= $records->time_zone;
	$timezone = new DateTimeZone($strtz);  
	$date = new DateTime();  
	$date->setTimezone($timezone );  
	$date_now = $date->format( 'm' );
	
	return $date_now;
}

function change_date_format($date)
{
	$ds = explode("/", $date);
	$newdate = "";
	$newdate = $ds[2]."-".$ds[1]."-".$ds[0]; // dd/mm/yyyy
	return $newdate;
}

function change_datetime_format($date)
{
	$CI =& get_instance();
	$CI->load->model('main_model');
	//print_r($CI);
	$records = $CI->main_model->get_config();
	//print_r($records);
	//"Asia/Kolkata"
	$strtz= $records->time_zone;
	date_default_timezone_set($strtz);
	$return_date = date('Y-m-d H:i:s:a',strtotime($date));
	return $return_date;
}

function image_name_date()
{
	$CI =& get_instance();
	$CI->load->model('main_model');
	//print_r($CI);
	$records = $CI->main_model->get_config();
	//print_r($records);
	//"Asia/Kolkata"
	$strtz= $records->time_zone;
	$timezone = new DateTimeZone($strtz);  
	$date = new DateTime();  
	$date->setTimezone($timezone );  
	$date_now = $date->format( 'Y-m-d-H-i-s' );
	
	return $date_now;
}

function time_elapsed_string($datetime, $full = false)
{
	$now = new DateTime;
	$ago = new DateTime($datetime);
	$diff = $now->diff($ago);

	$diff->w = floor($diff->d / 7);
	$diff->d -= $diff->w * 7;

	$string = array(
		'y' => 'year',
		'm' => 'month',
		'w' => 'week',
		'd' => 'day',
		'h' => 'hour',
		'i' => 'minute',
		's' => 'second',
	);
	foreach ($string as $k => &$v) {
		if ($diff->$k) {
			$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
		} else {
			unset($string[$k]);
		}
	}

	if (!$full) $string = array_slice($string, 0, 1);
	return $string ? implode(', ', $string) . ' ago' : 'just now';
}
