
<?php
//session_start();
class Main_model extends CI_Model
{
	function __construct()
	{
		parent::__construct();
	}

	public function DisplayHeight($height)
	{
		if ($height != "0") {
			$arr = explode(".", $height);
			//return 2222;
			if (sizeof($arr) > 1)	return $arr[0] . "' " . $arr[1] . "&#34;";
			else return $arr[0] . "' ";
		} else return "NA";
	}

	public function get_member_data($member_id)
	{
		$this->db->select('a.*,TIMESTAMPDIFF(YEAR, a.dob, CURDATE()) AS age,b.religion_name,c.caste_name,d.country_name,e.state_name,f.city_name,g.employed_name,h.habit_name,i.education_name,j.occupation_name,k.rashi_name,l.mother_tongue_name');
		$this->db->from('member a');
		$this->db->join('religion b', 'b.religion_id=a.religion_id', 'left');
		$this->db->join('caste c', 'c.caste_id=a.caste_id', 'left');
		$this->db->join('country d', 'd.country_id=a.country_id', 'left');
		$this->db->join('state e', 'e.state_id=a.state_id', 'left');
		$this->db->join('city f', 'f.city_id=a.city_id', 'left');
		$this->db->join('employed g', 'g.employed_id=a.employed_id', 'left');
		$this->db->join('habit h', 'h.habit_id=a.habit_id', 'left');
		$this->db->join('education i', 'i.education_id=a.education_id', 'left');
		$this->db->join('occupation j', 'j.occupation_id=a.occupation_id', 'left');
		$this->db->join('rashi k', 'k.rashi_id=a.rashi_id', 'left');
		$this->db->join('mother_tongue l', 'l.mother_tongue_id=a.mother_tongue_id', 'left');
		$this->db->where('a.member_id', $member_id);
		$query = $this->db->get();
		//echo "SQL:".$this->db->last_query();
		if ($query->num_rows() > 0) {
			return $query->row();
		}
	}

	public function get_All_ImagesFromFolder($member_id)
	{
		$image_files1 = array();

		$files1 = directory_map("..//media//member_images//" . $member_id, 1);
		// print_r($files1);
		if ($files1) {
			//Remove Thumbs.db AND thumbnail\ directory from array
			if (($key = array_search("Thumbs.db", $files1)) !== false) {
				unset($files1[$key]);
			}
			if (($key = array_search("thumbnail/", $files1)) !== false) {
				unset($files1[$key]);
			}

			$image_files1 = array_values($files1);
			/*if($image_files1) {
					print_r($image_files1);
					echo "<br><br><br>";
					foreach($image_files1 as $key=>$val) {
								echo "<br>File Name:". $val;
					}
				}*/
		}
		return $image_files1;
	}

	public function get_DefaultImage_Source($member_id)
	{

		$file_name_source = "";

		//Check if is there any image files in folder
		$image_files1 = $this->get_All_ImagesFromFolder($member_id);

		if ($image_files1) {
			/*print_r($image_files1);
			echo "<br><br><br>";*/
			foreach ($image_files1 as $key => $val) {
				//echo "<br>File Name:". $val;
				if ($file_name_source == "") //$file_name_source = $val;
					$file_name_source = base_url() . '../media/member_images/' . $member_id . '/' . $val;
			}
		}
		//echo "<br>File Name file_name_source:". $file_name_source;
		//Now check if user set default image in database		
		$this->db->select('*');
		$this->db->from('member');
		$this->db->where('member_id', $member_id);
		$query = $this->db->get();

		if ($query->num_rows() > 0) {
			$arrResult = $query->row();
			//print_r($arrResult);
			//return $query->row();
			if ($arrResult->default_image != "") {
				if (file_exists("../media/member_images/" . $arrResult->member_id . "/" . $arrResult->default_image)) {
					$file_name_source = base_url() . '../media/member_images/' . $arrResult->member_id . '/' . $arrResult->default_image;
				} else {
					if ($file_name_source == "") {
						//Set our default image
						if ($arrResult->sex == 'Male') {
							$file_name_source = base_url() . '../media/member_images/default_male.jpg';
						} else {
							$file_name_source = base_url() . '../media/member_images/default_female.jpg';
						}
					}
				}
			} else {
				if ($file_name_source == "") {
					//Set our default image
					if ($arrResult->sex == 'Male') {
						$file_name_source = base_url() . '../media/member_images/default_male.jpg';
					} else {
						$file_name_source = base_url() . '../media/member_images/default_female.jpg';
					}
				}
			}
		}
		//echo "SQL:" . $this->db->last_query();
		//return $query->result();
		return $file_name_source;
	}

	/**/

	public function SetEmptySearchSession()
	{
		$sess_array = array(
			'sex' => '',
			'to_age' => '',
			'from_age' => '',
			'maritial_status' => '',
			/*'maritial_status2' => '',
			 'maritial_status3' => '',*/
			'religion_id' => '',
			'caste_id' => '',
			'manglik' => '',
			'mother_tongue_id' => '',
			'education_id' => '',
			'height1' => '',
			'height2' => '',
			'physical_status' => '',
			'habit_id' => '',
			'have_children' => '',
			'occupation_id' => '',
			'employed_id' => '',
			'country_id' => '',
			'state_id' => '',
			'city_id' => ''
		);
		//Set Session 
		$this->session->set_userdata('search_items', $sess_array);
	}
	public function get_member_subscription($member_id)
	{
		$this->db->select('a.*,b.membership_plan_name,b.amount,b.duration');
		$this->db->from('member_subscription a');
		$this->db->join('membership_plan b', 'b.membership_plan_id=a.membership_plan_id', 'left');
		$this->db->where('a.member_id', $member_id);
		$this->db->order_by('a.member_subscription_id', 'desc');
		$this->db->limit(1, 0); //show num rec, start from index
		$query = $this->db->get();
		//echo $this->db->last_query();
		return $query->row();
	}

	/**/

	public function get_allmember()
	{
		$this->db->select('a.member_id,a.first_name,last_name,a.profile_id,b.profile_prefix');
		$this->db->from('member a');
		$this->db->join('config b', 'b.config_id=a.admin_user_id', 'left');
		$this->db->where('a.status', '1');
		$this->db->order_by('a.first_name', '');
		$query = $this->db->get();
		return $query->result();
	}
	public function get_allmembership_plan()
	{
		$this->db->select('membership_plan_id,membership_plan_name');
		$this->db->from('membership_plan');
		$this->db->where('status', '1');
		$this->db->order_by('membership_plan_name', '');
		$query = $this->db->get();
		return $query->result();
	}

	public function get_config()
	{
		$this->db->select('*');
		$this->db->from('config');
		$query = $this->db->get();
		return $query->row();
	}

	//Country
	public function get_all_country_list()
	{
		$this->db->select('master_id,value');
		$this->db->from('main_master');
		$this->db->where('status', 1);
		$this->db->where('master_type', 'country');
		$this->db->order_by('value', 'asc');
		$query = $this->db->get();
		return $query->result();
	}

	//agents
	public function get_member_agent_list($member_id)
	{
		$this->db->select('*');
		$this->db->from('member_agent');
		$this->db->where('status', 1);
		$this->db->where('member_id', $member_id);
		$query = $this->db->get();
		return $query->result();
	}
}
?>