<?php $this->load->view('admin/header'); ?>
<!-- /top navigation -->
<!-- page content -->
<div class="right_col" role="main">
  <div class="">
    <div class="page-title">
      <div class="title_left">
        <h3><?php echo $page_title;?></h3>
      </div>
    </div>
    <div class="clearfix"></div>
    <div class="row">
      <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
          <div class="x_title"> <a href="javascript:void(0)" onClick="clearForm();" class="btn btn-primary" data-toggle="modal" data-target="#model_add" id="show_add_model"><i class="fa fa-plus"></i> Add User</a>
            <div class="clearfix"></div>
          </div>
          <div class="x_content">
            <div class="col-md-12 col-sm-12 col-xs-12" style="overflow:auto">
              <table id="table" class="table table-striped table-bordered">
                <thead>
                  <tr>
                    <th width="6%">#</th>
                    <th width="12%">Action</th>
                    <th width="">User Name</th>
                    <th width="">Name</th>
                    <th width="">Email</th>
                    <th width="">Mobile</th>
                    <th width="">User Type</th>
                    <th width="10%">Added Date</th>
                    <th width="10%">Last Modified</th>
                    <th width="8%">Status</th>
                    
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- /page content --> 

<!-- modals large for add-->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="model_add">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div id="alert_success" class="alert alert-danger alert-dismissible fade in" role="alert" style="display:<?php if(validation_errors() != "") echo 'block'; else echo 'none'?>">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span> </button>
        <?php echo validation_errors(); //echo $error_message; ?> </div>
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span> </button>
        <h4 class="modal-title" id="AddModal_Header">Add New User</h4>
      </div>
      <div class="modal-body"> 
        <!-- <h4>Add New Records</h4>-->
        <?php echo form_open(base_url() . $this->uri->segment(1) .'/add', array('id' => 'frm1','method' => 'post','class' => 'form-horizontal form-label-left','novalidate' => '')); ?>
          <input type="hidden" name="edit_id" id="edit_id" value="<?php if(set_value('edit_id')=='') echo '0'; ?>" />
          <input type="hidden" id="isProfile" name="isProfile" value="0" />
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Username <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="text" id="username" name="username" class="form-control col-md-7 col-xs-12" data-validate-length-range="5,20" placeholder="Username" value="<?php echo set_value('username'); ?>" required />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Password <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="password" id="password" name="password" class="form-control col-md-7 col-xs-12" placeholder="Password" value="" autocomplete="off" required />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Confirm Password <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="password" id="password2" name="password2"  data-validate-linked="password" class="form-control col-md-7 col-xs-12" placeholder="Password" autocomplete="off" value="" required />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Full Name <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="text" id="full_name" name="full_name" class="form-control col-md-7 col-xs-12" placeholder="Full Name" value="<?php echo set_value('full_name'); ?>" required />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Email <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="email" id="email" name="email" class="form-control col-md-7 col-xs-12" placeholder="Email" value="<?php echo set_value('email'); ?>" required />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Mobile <span class="required"></span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="text" id="mobile" name="mobile" class="form-control col-md-7 col-xs-12" placeholder="Mobile" value="<?php echo set_value('mobile'); ?>" />
            </div>
          </div>
          <div class="item form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Address <span class="required"></span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="text" id="address" name="address" class="form-control col-md-7 col-xs-12" placeholder="Address" value="<?php echo set_value('address'); ?>" />
            </div>
          </div>
          <div class="item form-group" style="display:none">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">User Type <span class="required">*</span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <select name="user_type" id="user_type" class="form-control" required>
                <option value="">--Select Type--</option>
                <!-- <option value="admin">admin</option> -->
                <option value="user">user</option>
                </select>
     
            </div>
          </div>
          
          <div class="item form-group" style="display: none;">
            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="textarea">Publish<span class="required"></span> </label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              <input type="checkbox" name="status[]" id="status" value="1" class="flat" />
            </div>
          </div>
          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-md-offset-3">
              <button id="btn_close" type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
              <button id="btn_submit" type="submit" class="btn btn-success">Submit</button>
            </div>
          </div>
        <?php echo form_close(); ?>
      </div>
    </div>
  </div>
</div>
<!-- /modals --> 
<!-- modals large for view-->
<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="model_view">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span> </button>
        <h4 class="modal-title" id="myModalLabel">View User </h4>
      </div>
      <div class="modal-body" id="dispaly_view"> 
        <!-- <h4>Add New Records</h4>-->
        <table class="table">
          <tbody>
            <tr>
              <td><b>Username</b></td>
              <td class="row">:</td>
              <td id="username_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Full Name</b></td>
              <td class="row">:</td>
              <td id="full_name_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Email</b></td>
              <td class="row">:</td>
              <td id="email_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Mobile</b></td>
              <td class="row">:</td>
              <td id="mobile_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Address</b></td>
              <td class="row">:</td>
              <td id="address_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>User Type</b></td>
              <td class="row">:</td>
              <td id="user_type_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Publish Status</b></td>
              <td class="row">:</td>
              <td id="status_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Added Date</b></td>
              <td class="row">:</td>
              <td id="date_added_dp">&nbsp;</td>
            </tr>
            <tr>
              <td><b>Last Modified</b></td>
              <td class="row">:</td>
              <td id="date_updated_dp">&nbsp;</td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!-- /modals --> 
<!-- footer content -->
<?php $this->load->view('admin/footer');?>
<!-- /footer content --> 

<script>

function clearForm()
{
	
//Remove if not needed
	document.getElementById('username').disabled = false;
	document.getElementById('password').disabled = false;
	document.getElementById('password2').disabled = false;
//Change it according to your data
	document.getElementById('username').value = '';
	document.getElementById('password').value = '';
	document.getElementById('full_name').value = '';
	document.getElementById('email').value = '';
	document.getElementById('mobile').value = '';
	document.getElementById('address').value = '';
	document.getElementById('user_type').value = '';

//Keep this do not delete
	document.getElementById('edit_id').value = '0';
	document.getElementById('status').checked = false;
	$( ".icheckbox_flat-green" ).last().removeClass( "checked" );
	//Rename Header of Model
	document.getElementById('AddModal_Header').innerHTML = "Add New User";
	//jquery to remove all error 
	$('.bad').removeClass('bad');
	
	//Hide Error Message
	document.getElementById('alert_success').style.display = "none";
////////////////////////////////	
	
}
function doEdit(id)
{
//Keep this do not delete
	clearForm();
	document.getElementById('edit_id').value = id;
	
//Remove if not needed
	document.getElementById('username').readOnly = true;
	document.getElementById('password').readOnly = true;
	document.getElementById('password2').readOnly = true;

//Rename Header of Model
	document.getElementById('AddModal_Header').innerHTML = "Edit User";
	
	  //get data for populate
		datav="";
		//datav+="&state_id="+state_id;
			urlval="<?php echo base_url(). $this->uri->segment(1); ?>/getdata/"+id;						
				$.ajax({
					   type: "post",
					   url: urlval,
					   data: datav,
					   success: function(myJSON){
						   var arrData = JSON.parse(myJSON);
						   /*console.log(arrData);
						   alert(arrData['full_name']);
						   return 0;
							$('#frm1 input, #frm1 select').each(
								function(index){  
									var input = $(this);
									//alert('Type: ' + input.attr('type') + ' Name: ' + input.attr('name') + ' Value: ' + input.val());
									document.getElementById(input.attr('id')).value = arrData[input.attr('id')];
								}
							);*/
							//Change it according to your data
							document.getElementById('username').value = arrData['username'];
							document.getElementById('password').value = arrData['password'];
							document.getElementById('password2').value = arrData['password'];
							document.getElementById('full_name').value = arrData['full_name'];
							document.getElementById('email').value = arrData['email'];
							document.getElementById('mobile').value = arrData['mobile'];
							document.getElementById('address').value = arrData['address'];
							document.getElementById('user_type').value = arrData['user_type'];
							document.getElementById('edit_id').value = arrData['admin_user_id'];
							
							if(parseInt(arrData['status'])==1)
							{
								 document.getElementById('status').checked = true;
								 $( ".icheckbox_flat-green" ).last().addClass( "checked" );
							}
							else
							{
								 document.getElementById('status').checked = false;
								 $( ".icheckbox_flat-green" ).last().removeClass( "checked" );
							}
					   }
		
				});	
		console.clear();
}
function doView(id)
{
	  //get data for populate
		datav="";
		//datav+="&state_id="+state_id;
			urlval="<?php echo base_url(). $this->uri->segment(1); ?>/getdata/"+id;						
				$.ajax({
					   type: "post",
					   url: urlval,
					   data: datav,
					   success: function(myJSON){
						   var arrData = JSON.parse(myJSON);
						   //Change it according to your data
							document.getElementById('username_dp').innerHTML = arrData['username'];
							document.getElementById('full_name_dp').innerHTML = arrData['full_name'];
							document.getElementById('email_dp').innerHTML = arrData['email'];
							document.getElementById('mobile_dp').innerHTML = arrData['mobile'];
							document.getElementById('address_dp').innerHTML = arrData['address'];
							document.getElementById('user_type_dp').innerHTML = arrData['user_type'];
							document.getElementById('date_added_dp').innerHTML = ConvertSQLDateFormat_ToDisplay(arrData['date_added']);
							document.getElementById('date_updated_dp').innerHTML = ConvertSQLDateFormat_ToDisplay(arrData['date_updated']);
							 
             // if(parseInt(arrData['user_type'])==1) document.getElementById('user_type_dp').innerHTML = 'super_admin';
						//	else document.getElementById('user_type_dp').innerHTML = 'company';
              // if else(parseInt(arrData['user_type'])==1) document.getElementById('user_type_dp').innerHTML = 'staff';
              
            
							if(parseInt(arrData['status'])==1) document.getElementById('status_dp').innerHTML = 'Active';
							else document.getElementById('status_dp').innerHTML = 'Inactive';
					   }
		
				});	
		console.clear();
}

</script> 
<script type="text/javascript">
var table;
$(document).ready(function() {
    //datatables
    table = $('#table').DataTable({ 
		"lengthMenu": [10, 25, 50, 100],
    "autoWidth" : false,
        "processing": true, 
        "serverSide": true, 
        "pageLength": 10,
        "order": [], 
        "ajax": {
            "url": "<?php echo base_url(). $this->uri->segment(1); ?>/get_list",
            "type": "POST",
            "data": function ( data ) {
                
            },
        },
		dom: '1Blfrtip',

		buttons: [


		],
        "columnDefs": [ {
            "targets": 0,
			"orderable": false, 
        },{
			"targets": 1,
			"orderable": false, 
		}]
	});
});
	
	
  function toggleStatus(id,current_st)
  {
	datav="";
	datav+="id="+id;
	datav+="&current_st="+current_st;
	//datav+="&state_id="+state_id;
		urlval="<?php echo base_url(). $this->uri->segment(1); ?>/setstatus";						
			$.ajax({
			   type: "post",
			   url: urlval,
			   data: datav,
			   success: function(myJSON){
					table.ajax.reload();
				   if(myJSON==1)
				   {
					   new PNotify({                                   
							title: 'Success',                                   
							text: 'Status updated succefully',                                   
							type: 'success',                                   
							styling: 'bootstrap3'                               
						});
				   }else if(myJSON==2)
				   {
					   new PNotify({                                   
							title: 'Warning',                                   
							text: 'You can not delete this record. because you logged in with this user',
							type: 'danger',                                   
							styling: 'bootstrap3'                               
						});
				   }else{
					   new PNotify({                                   
							title: 'danger',                                   
							text: 'Something went wrong',                                   
							type: 'danger',                                   
							styling: 'bootstrap3'                               
						});
				   }
				}

			});	
	//console.clear();
  }
	
  function DeleteSet(id)
  {
	  document.getElementById('hid_id').value = id;
  }
  function doDelete()
  {
	  id = document.getElementById('hid_id').value;
	  location.href = '<?php echo base_url(); ?><?php echo $this->uri->segment(1)?>/delete/'+id;
  }
</script>
