<?php 
$this->load->view('admin/authenticate');
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Admin Panel - <?php echo $page_title?></title>

    <!-- Bootstrap -->
    <link href="<?php echo base_url(); ?>vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="<?php echo base_url(); ?>vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="<?php echo base_url(); ?>vendors/nprogress/nprogress.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="<?php echo base_url(); ?>css/custom.min.css" rel="stylesheet">
	  
  	<!-- Swiper box style -->
  	<link rel="stylesheet" href="<?php echo base_url(); ?>css/swiperbox/swipebox.css">
    <!-- summernote editor -->
    <link rel="stylesheet" href="<?php echo base_url(); ?>css/summernote.min.css">
    
    <!-- iCheck -->
    <link href="<?php echo base_url(); ?>vendors/iCheck/skins/flat/green.css" rel="stylesheet">


    <!-- Datatables -->
    <link href="<?php echo base_url(); ?>vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">

    <link href="<?php echo base_url(); ?>vendors/pnotify/dist/pnotify.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/pnotify/dist/pnotify.buttons.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>vendors/pnotify/dist/pnotify.nonblock.css" rel="stylesheet">
   
    <!-- Bootstrap Date Picker -->
    <link rel="stylesheet" href="<?php echo base_url(); ?>css/datepicker/jquery-ui.css">
    
<style>
    /*Tooltip*/
.mytooltip {
  position: relative;
  display: inline-block;
  /*border-bottom: 1px dotted black;*/
  /*margin-top:15px;*/
}

.mytooltip .tooltiptext {
  visibility: hidden;
  width: auto;
  background-color: black;
  color: #ffffff;
  font-size:10px;
  text-align: center;
  border-radius: 6px;
  padding: 0 5px;
  /*padding: 3px;*/
  
  /* Position the tooltip */
  position: absolute;
  z-index: 1;
  bottom: 100%;
  left: 50%;
  margin-left: -25px;
}

.mytooltip:hover .tooltiptext {
  visibility: visible;
}
.banner-img{
  height: 80px;
  width: 150px;
  margin: 0 0 15px 0;
  border: 1px solid rgba(52,73,94,0.44);
  background: #fff;
  padding: 3px;
}
 
/**/
</style>
  </head>

  <body class="nav-md">

    <input type="hidden" id="hid_id" name="hid_id" value="0" />
    <div class="container body">
      <div class="main_container">
        <!-- left navigation -->
		<?php $this->load->view('admin/left_menu');?>
		<!-- left navigation -->
        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>

              <ul class="nav navbar-nav navbar-right">
                <li class="">
                  <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <img src="<?php echo base_url(); ?>images/user.png" alt=""><?php echo $this->session->userdata['logged_in']['full_name']; ?> (<?php echo $this->session->userdata['logged_in']['username']; ?>)
                    <span class=" fa fa-angle-down"></span>
                  </a>
                  <ul class="dropdown-menu dropdown-usermenu pull-right">
                    <li><a href="<?php echo base_url(); ?>admin_user/profile/<?php echo $this->session->userdata['logged_in']['admin_user_id']; ?>"><i class="glyphicon glyphicon-user"></i> Profile</a></li>
                    <li><a href="<?php echo base_url(); ?>admin_user/changepw/<?php echo $this->session->userdata['logged_in']['admin_user_id']; ?>"><i class="glyphicon glyphicon-cog"></i> Change Password</a></li>
                    <li><a href="<?php echo base_url(); ?>login/logout"><i class="glyphicon glyphicon-off"></i> Log Out</a></li>
                  </ul>
                </li>

                <li role="presentation" class="dropdown">
                  <ul id="menu1" class="dropdown-menu list-unstyled msg_list" role="menu">
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <div class="text-center">
                        <a>
                          <strong>See All Alerts</strong>
                          <i class="fa fa-angle-right"></i>
                        </a>
                      </div>
                    </li>
                  </ul>
                </li>
              </ul>
            </nav>
          </div>
        </div>