<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Profile extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
         error_reporting(0);
		 $this->load->library('upload');
		 $this->load->model('Profile_model');	
    }
	
	public function index()
	{
		$this->get_listdata();
	}
	
	public function get_listdata()
	{
		$data['page_title'] = 'Profile';
		$this->load->view('admin/profile_view',$data);
	}

	public function getdata($id)
	{
		$result = $this->Profile_model->get_data($id); 
		echo json_encode($result);
	}
 
	public function add() { 
		$edit_id = $this->input->post('edit_id', TRUE);
		//echo "<br>ID:$edit_id";
		 //Redirect if NAN
		if (!is_numeric($edit_id)) 

			$this->get_listdata();
		
		//Form Validation 
		$this->form_validation->set_rules('profile_name', 'Profile Name', 'required');
        $this->form_validation->set_rules('profile_type', 'Profile Type', 'required');
		$this->form_validation->set_rules('no_of_material', 'No Of Material', 'required');
		$this->form_validation->set_rules('purpose', 'Purpose', 'required');
		 
		if ($this->form_validation->run() == FALSE)
		{
			//echo "<br>Validation Not Success";
//			redirect('master/'.$type);
			$this->get_listdata();
		}
		else //If validation success
		{
			//echo "<br>Validation Success";
			 $status =$this->input->post('status');
			 if(empty($status) || $status == NULL || $status == "") $status = 0;
			 else $status = 1; 
               
			//Get Current Date and Time
			$this->load->helper('functions');
			//echo get_current_datetime();
			$date_added = get_current_datetime();
		    // $admin_user_id	= $this->session->userdata['logged_in']['admin_user_id'];
			$config = array(
				'file_name' => time(),
				'allowed_types' => 'gif|jpg|png|jpeg',
				'upload_path'  => 'images',
			);
			$this->upload->initialize($config);
			if($this->upload->do_upload('image1')){
            //  echo "<pre>"; print_r($this->upload->data());
			$imageData = $this->upload->data();
			$filename1 = $imageData['file_name'];
			}else{
				// echo $this->upload->display_error();	 
			}
			// echo $filename1; die();
			if($this->upload->do_upload('image2')){
				//  echo "<pre>"; print_r($this->upload->data());
				$imageData = $this->upload->data();
				$filename2 = $imageData['file_name'];
				// $error = array('error' => $this->upload->display_errors());
				}
			else{
				// echo $this->upload->display_error();
			}
			// echo $filename2; die();
			if($edit_id==0) //Add
			{
				$input_data = array( 
					'profile_name' => $this->input->post('profile_name', TRUE),
                    'profile_type' => $this->input->post('profile_type', TRUE),
					'no_of_material' => $this->input->post('no_of_material', TRUE),
					'purpose' => $this->input->post('purpose', TRUE),
					 'image1' => $filename1,
					 'image2' => $filename2, 
					'status' => $status,
					'date_added' => $date_added,
					'date_updated' => $date_added,
					 
				); 
				$res = $this->Profile_model->insert($input_data); 
				if($res==true)$data['success_message'] = 'Record added successfully';else $data['error_message'] = 'Something went wrong';
				
			}
			else //Edit
			{
				$input_data = array( 
					'profile_name' => $this->input->post('profile_name', TRUE),
                    'profile_type' => $this->input->post('profile_type', TRUE),
					'no_of_material' => $this->input->post('no_of_material', TRUE),
					'purpose' => $this->input->post('purpose', TRUE),
					'image1' => $filename1,
					 'image2' => $filename2, 
					 'status' => $status,
					'date_updated' => $date_added
				);
				 
				$res = $this->Profile_model->update($input_data,$edit_id);
				if($res==true)$data['success_message'] = 'Record updated successfully';else $data['error_message'] = 'Something went wrong';
			}
			//$this->get_listdata();
			$this->session->set_userdata('display_message', $data);
			redirect('profile');
		}
	}
	
	public function delete($id)
	{
		 $res = $this->Profile_model->delete($id); 
		 if($res)
		 {
			 $data['success_message'] = 'Record delete successfully';
			 $this->session->set_userdata('display_message', $data);
		 }
		 else
		 {
			 $data['error_message'] = 'Something went wrong';
			 $this->session->set_userdata('display_message', $data);
		 }
		redirect('profile');

	}
	 
	public function setstatus()
	{
		$id = $this->input->post('id');
		$current_st = $this->input->post('current_st');
		if($current_st == 1) {
			$statusData = array('status' => 0);
		} else {
			$statusData = array('status' => 1);
		}
		$update = $this->Profile_model->update_status($id, $statusData);
		if($update==true)
		{
			echo 1;
		}else{
			echo 0;
		}
	}
	
	public function get_list()
	{
		$list = $this->Profile_model->get_datatables(); 
		$data = array();
		$no = $_POST['start'];
		foreach ($list as $r) {
			$primary_id = $r->profile_id;
			$no++;
			$row = array();
			$row[] = '<input type="checkbox" name="chk[]" id="chk_'.$primary_id.'" value="'.$primary_id.'" />';
 			$row[] = $no;
 			
			$row[] = $r->profile_name;
            $row[] = $r->profile_type;
			$row[] = $r->no_of_material;
			$row[] = $r->purpose;
			// $row[] = $r->image1;
			// $row[] = $r->image2;
			$row[] = "<a href='".base_url()."images/".$r->image1."'><img src='".base_url()."images/".$r->image1."' style='height:70px;' alt='".$r->profile_name."'/> </a>";
			 $row[] = "<a href='".base_url()."images/".$r->image2."'><img src='".base_url()."images/".$r->image2."' style='height:70px;' alt='".$r->profile_name."'/> </a>";

			if($r->date_updated=='0000-00-00 00:00:00'){
                $row[] = '';
            }else{
                $row[] = $r->date_updated;
            }
			if($r->status==1)
			{
				$status = "<label class='label label-success'>Active</label>";
			}else{
				$status = "<label class='label label-danger'>Inactive</label>";
			}
			$row[] = '<h4>'.$status.'</h4>';
			
			$row[] = '<span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="doView('.$primary_id.');" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#model_view"> <i class="fa fa-eye"></i></a>
                         <span class="tooltiptext">View</span>
                        </span>
                         <span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="doEdit('. $primary_id.');" class="btn btn-dark btn-xs" data-toggle="modal" data-target="#model_add"> <i class="fa fa-pencil"></i></a>
                         <span class="tooltiptext">Edit</span>
                        </span>
                         <span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="DeleteSet('.$primary_id.');" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#model_delete"> <i class="fa fa-trash-o"></i></a>
                         <span class="tooltiptext">Delete</span>
                        </span>';		
			$data[] = $row;
		}
		$output = array(
						"draw" => $_POST['draw'],
						"recordsTotal" => $this->Profile_model->count_all(),
						"recordsFiltered" => $this->Profile_model->count_filtered(),
						"data" => $data
				);
		//output to json format
		echo json_encode($output);
	}
		  
}
?>